Bug 24307 - Update locale data to Unicode 12.0.0
Summary: Update locale data to Unicode 12.0.0
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: 2.30
: P2 normal
Target Milestone: 2.30
Assignee: Mike FABIAN
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-06 09:47 UTC by Mike FABIAN
Modified: 2019-05-13 16:13 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
0001-Bug-24307-Update-to-Unicode-12.0.0.patch (116.19 KB, patch)
2019-03-07 10:00 UTC, Mike FABIAN
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mike FABIAN 2019-03-06 09:47:09 UTC
Now that Unicode 12.0.0 is released, the locale data that was updated for Unicode 11.0.0 (bug 23308) should be updated to 12.0.0.

http://blog.unicode.org/2019/03/announcing-unicode-standard-version-120.html

https://www.unicode.org/Public/12.0.0/ucd/
Comment 1 Mike FABIAN 2019-03-07 10:00:42 UTC
Created attachment 11662 [details]
0001-Bug-24307-Update-to-Unicode-12.0.0.patch
Comment 2 Sourceware Commits 2019-03-08 16:13:50 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  86bdd49d93665b9d7b1b98502b84d0fa9af6915f (commit)
      from  c5f65462a29fa4b7caa9026b36b2792d79b16d1d (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=86bdd49d93665b9d7b1b98502b84d0fa9af6915f

commit 86bdd49d93665b9d7b1b98502b84d0fa9af6915f
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Mar 6 10:39:26 2019 +0100

    Bug 24307: Update to Unicode 12.0.0
    
    Unicode 12.0.0 Support: Character encoding, character type info, and
    transliteration tables are all updated to Unicode 12.0.0, using
    the generator scripts contributed by Mike FABIAN (Red Hat).
    
    Some info about the number of characters added or changed:
    
    Total added characters in newly generated CHARMAP: 554
    Total added characters in newly generated WIDTH: 106
    alpha: Missing 8 characters of old ctype in new ctype
           (These are combining marks, apparently they were removed from alpha
           on purpose)
    alpha: Added 295 characters in new ctype which were not in old ctype
    combining: Missing 2 characters of old ctype in new ctype
           (U+1CF2 VEDIC SIGN ARDHAVISARGA and U+1CF3 VEDIC SIGN ROTATED ARDHAVISARGA,
           these are now "Alphabetic" in Unicode 12.0.0)
    combining: Added 37 characters in new ctype which were not in old ctype
    combining_level3: Missing 2 characters of old ctype in new ctype
           (U+1CF2 VEDIC SIGN ARDHAVISARGA and U+1CF3 VEDIC SIGN ROTATED ARDHAVISARGA,
           these are now "Alphabetic" in Unicode 12.0.0)
    combining_level3: Added 26 characters in new ctype which were not in old ctype
    graph: Added 554 characters in new ctype which were not in old ctype
    lower: Added 6 characters in new ctype which were not in old ctype
    print: Added 554 characters in new ctype which were not in old ctype
    punct: Missing 29 characters of old ctype in new ctype
           (These characters have all  become "Alphabetic" in Unicode 12.0.0.
           Therefore, they are not in "punct" anymore (see: is_punct() in unicode_utils.py))
    punct: Added 296 characters in new ctype which were not in old ctype
    tolower: Added 7 characters in new ctype which were not in old ctype
    totitle: Added 7 characters in new ctype which were not in old ctype
    toupper: Added 7 characters in new ctype which were not in old ctype
    upper: Added 7 characters in new ctype which were not in old ctype
    
    	[BZ #24307]
    	* localedata/unicode-gen/Makefile (UNICODE_VERSION): Set to 12.0.0.
    	* localedata/unicode-gen/DerivedCoreProperties.txt: Update to Unicode 12.0.0.
    	* localedata/unicode-gen/EastAsianWidth.txt: Likewise.
    	* localedata/unicode-gen/PropList.txt: Likewise.
    	* localedata/unicode-gen/UnicodeData.txt: Likewise.
    	* localedata/unicode-gen/ctype_compatibility_test_cases.py: U+108D became
            "Alphabetic" in Unicode 12.0.0. Adapt test case.
    	* localedata/charmaps/UTF-8: Regenerate.
    	* localedata/locales/i18n_ctype: Likewise.
    	* localedata/locales/tr_TR: Likewise.
    	* localedata/locales/translit_circle: Likewise.
    	* localedata/locales/translit_cjk_compat: Likewise.
    	* localedata/locales/translit_combining: Likewise.
    	* localedata/locales/translit_compat: Likewise.
    	* localedata/locales/translit_font: Likewise.
    	* localedata/locales/translit_fraction: Likewise.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                                          |   21 +
 NEWS                                               |    4 +
 localedata/charmaps/UTF-8                          |  590 +++++-
 localedata/locales/i18n_ctype                      | 2358 ++++++++++----------
 localedata/locales/tr_TR                           | 2352 ++++++++++----------
 localedata/locales/translit_circle                 |    2 +-
 localedata/locales/translit_cjk_compat             |    2 +-
 localedata/locales/translit_combining              |   54 +-
 localedata/locales/translit_compat                 |    4 +-
 localedata/locales/translit_font                   |    2 +-
 localedata/locales/translit_fraction               |    2 +-
 localedata/unicode-gen/DerivedCoreProperties.txt   |  506 +++--
 localedata/unicode-gen/EastAsianWidth.txt          |  114 +-
 localedata/unicode-gen/Makefile                    |    2 +-
 localedata/unicode-gen/PropList.txt                |   77 +-
 localedata/unicode-gen/UnicodeData.txt             |  564 +++++-
 .../unicode-gen/ctype_compatibility_test_cases.py  |    5 +-
 17 files changed, 4064 insertions(+), 2595 deletions(-)
Comment 3 Mike FABIAN 2019-05-13 16:13:18 UTC
This patch is included in glibc master.